
ChiliProject - Bug # 1146: Custom integer field where 05 is not always 5

Status: Closed Priority: Normal
Author: kwadronaut . Category:
Created: 2012-09-17 Assignee: kwadronaut .
Updated: 2012-10-02 Due date:
Remote issue URL:
Affected version:
Description: We're using a custom field, integer, in our projects. I got the complaints that sometimes when sorting or 

filtering (1 01) and sometimes not. After a short chat on #chiliproject, I got the impression that it's likely caused 
by how the ints are internally saved and recasted?

We're running ChiliProject 3.3.0.080c5b63c (MySQL). The custom field is in Format Integer, min and max 
length are both 0, no regex and default value of 1000. It's required, for all projects and used as a filter.

Any infos missing for you?

Associated revisions
2008-05-04 05:05 pm - Jean-Philippe Lang 
Wiki page protection (#851, patch #1146 by Mateo Murphy with slight changes).
New permission added: protect wiki pages. Once a page is protected, it can be edited/renamed/deleted only by users who have this permission.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1415 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-09-18 07:50 pm - kwadronaut .
- Assignee set to kwadronaut .

I'm assigning to myself for now, because we're internally trying to reproduce. It might have been only appearing with 1/01, where chili sometimes 
changed 1 to 01 or the way around. 

2012-10-02 04:00 pm - kwadronaut .
- Status changed from Open to Closed

We weren't able to reproduce, so tidying up.
